<!--
SPDX-FileCopyrightText: 2024 The Nirvati Developers

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<template>
  <UCard
      class="h-screen w-screen"
      :ui="{
      root: 'flex flex-col',
      body: 'h-full flex-grow flex flex-col',
    }"
  >
    <template #header>
      <h1 class="mb-1 text-4xl font-bold">
        {{ t("bitcoin.title") }}
      </h1>
      <h3 class="text-lg">
        {{ t("bitcoin.subtitle") }}
      </h3>
    </template>

    <div class="flex items-center justify-center flex-col h-full flex-grow">
      <!--<UIcon
          name="i-emojione-v1-building-construction"
          class="h-36 w-36 mb-4"
      />
      <p class="whitespace-pre-line p-3 text-lg">
        {{ t("coming-soon.text") }}
      </p>-->

      <h1 class="font-bold text-3xl">{{ Math.round((result?.bitcoin.syncState.verificationProcess || 0) * 10000) / 100}}%</h1>
      <span>{{result?.bitcoin.syncState.syncedTo}}/{{result?.bitcoin.syncState.chainTip}}</span>
      <!--<NuxtLink to="/config">CONFIG</NuxtLink>-->
    </div>
  </UCard>
</template>

<script setup lang="ts">
definePageMeta({
  layout: "authenticated",
});

const { t } = useI18n();

const infoQuery = graphql(`query syncInfo {
  bitcoin {
    syncState {
      verificationProcess
      chainTip
       syncedTo
    }
  }
}`);

const { result } = useQuery(infoQuery, {}, {
  pollInterval: 1000,
});
</script>
